Package: java.util

## Interface NavigableMap

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `NavigableMap` | `asChecked(Class keyType, Class valueType)` Creates a checked view of a NavigableMap.
    `NavigableMap` | `asSynchronized()` Creates a synchronized view of a NavigableMap.
    `SortedMap` | `asUnmodifiable()` Creates an unmodifiable view of a NavigableMap.

  - #### Methods inherited from interface java.util.SortedMap

    `asChecked`, `asImmutable`, `asSynchronized`, `asUnmodifiable`, `sort`, `toSorted`

  - #### Methods inherited from interface java.util.Map

    `any`, `asBoolean`, `asChecked`, `asImmutable`, `asSynchronized`, `asType`, `asUnmodifiable`, `collect`, `collect`, `collectEntries`, `collectEntries`, `collectEntries`, `collectEntries`, `collectKeys`, `collectKeys`, `collectMany`, `collectMany`, `collectValues`, `collectValues`, `count`, `count`, `countBy`, `drop`, `dropWhile`, `each`, `eachWithIndex`, `equals`, `every`, `find`, `findAll`, `findResult`, `findResult`, `findResults`, `get`, `getAt`, `groupBy`, `groupBy`, `groupBy`, `groupEntriesBy`, `inject`, `injectAll`, `intersect`, `isCase`, `isNotCase`, `iterator`, `leftShift`, `leftShift`, `max`, `min`, `minus`, `plus`, `plus`, `plus`, `plus`, `putAll`, `putAt`, `removeAll`, `retainAll`, `reverseEach`, `sort`, `sort`, `sort`, `spread`, `subMap`, `subMap`, `take`, `takeWhile`, `toMapString`, `toMapString`, `toSorted`, `toSorted`, `toSorted`, `toSpreadMap`, `withDefault`, `withDefault`

- - ### Methods Detail

    - #### public NavigableMap asChecked(Class keyType, Class valueType)

      Creates a checked view of a NavigableMap.

      Parameters:
      Since:
        5.0.0
      See Also:
        Collections#checkedNavigableMap

    - #### public NavigableMap asSynchronized()

      Creates a synchronized view of a NavigableMap.

      Returns:
        a synchronized NavigableMap
      Since:
        5.0.0
      See Also:
        Collections#synchronizedNavigableMap(java.util.NavigableMap)

    - #### public SortedMap asUnmodifiable()

      Creates an unmodifiable view of a NavigableMap.

      Returns:
        an unmodifiable view of the NavigableMap
      Since:
        5.0.0
      See Also:
        Collections#unmodifiableNavigableMap(java.util.NavigableMap)
        List#asUnmodifiable()